#
# spec file for package xf86-video-ast
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xf86-video-ast
Version:        1.1.5
Release:        3.2
Summary:        ASpeed Technologies video driver for the Xorg X server
License:        MIT
Group:          System/X11/Servers/XF86_4
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/driver/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(pciaccess) >= 0.8.0
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(renderproto)
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkgconfig(xorg-server) >= 1.0.99.901
BuildRequires:  pkgconfig(xproto)
Supplements:    modalias(xorg-x11-server:pci:v00001A03d*sv*sd*bc03sc*i*)
# This was part of the xorg-x11-driver-video package up to version 7.6
Conflicts:      xorg-x11-driver-video <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x
%x11_abi_videodrv_req

%description
ast is an Xorg driver for ASpeed Technologies video cards.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/ast_drv.so

%changelog
* Mon Sep 14 2015 zaitor@opensuse.org
- Update to version 1.1.5:
  + Support AST2500.
  + Fixed Failed to Init when ASPEED Graphics is Secondary.
  + Fixed Transient Noise While System Resume from Hibernate.
  + Use same search mode criteria with ast drm driver.
  + Use proper type.
* Fri Aug 22 2014 eich@suse.com
- Update to Version 1.0.1:
  This update essentially contains:
  * my fixes (which get obsoleted):
    u_01-Fix-compiler-warnings-get-rid-if-xf86PciInfo-h.patch
    u_02-Fix-compiler-warnings-get-rid-of-deprecated-IOADDRESS.patch
    u_03-Fix-compiler-warnings-add-DrawablePtr-argument-to-ASTPutImage.patch
    u_04-Clean-up-namespace-in-ast_vgatools.c.patch
    u_05-Clean-up-namespace-in-ast_2dtool.c.patch
    u_06-Clean-up-namespace-in-ast_cursor.c.patch
    u_07-Clean-up-namespace-in-ast_mode.c.patch
    u_08-Clean-up-namespace-in-ast_accel.c.patch
    u_09-Clean-up-namespace-in-ast_tool.c.patch
    u_10-Include-local-headers-only-when-needed.patch
    u_11-Fix-typo.patch
    u_12-Fix-ABI-version-conflict-in-xf86UnclaimPciSlot.patch
    u_13-Move-firmware-for-DP501-to-a-separate-file.patch
    u_14-Add-_AST_H_-define-to-ast.h.patch
  * Fix for bnc#892723:
    Fixed-1600x900-cannot-display-properly.patch
  * An update for DP501 support
* Thu Apr 24 2014 eich@suse.com
- Updated to Version 0.99.9:
  This obsoletes:
  * u_ast-fix-falling-back-after-kernel-check.patch
  * u_Fixed-driver-name-in-error-message-about-KMS-active.patch
  It adds support for the AST 2400 chip as well as for the DP501 (and
  some other) encoders (bnc#871134).
- Added clean up patches:
  * Fix compiler warnings:
    u_01-Fix-compiler-warnings-get-rid-if-xf86PciInfo-h.patch
    u_02-Fix-compiler-warnings-get-rid-of-deprecated-IOADDRESS.patch
    u_03-Fix-compiler-warnings-add-DrawablePtr-argument-to-ASTPutImage.patch
  * Clean up namespace:
    u_04-Clean-up-namespace-in-ast_vgatools.c.patch
    u_05-Clean-up-namespace-in-ast_2dtool.c.patch
    u_06-Clean-up-namespace-in-ast_cursor.c.patch
    u_07-Clean-up-namespace-in-ast_mode.c.patch
    u_08-Clean-up-namespace-in-ast_accel.c.patch
    u_09-Clean-up-namespace-in-ast_tool.c.patch
  * Misc cleanup:
    u_10-Include-local-headers-only-when-needed.patch
    u_11-Fix-typo.patch
    u_12-Fix-ABI-version-conflict-in-xf86UnclaimPciSlot.patch
    u_13-Move-firmware-for-DP501-to-a-separate-file.patch
    u_14-Add-_AST_H_-define-to-ast.h.patch
* Thu Mar 13 2014 sndirsch@suse.com
- u_ast-fix-falling-back-after-kernel-check.patch:
  * fix falling back (to modesetting driver) after kernel check,
    i.e. KMS is active (bnc#849888)
- u_Fixed-driver-name-in-error-message-about-KMS-active.patch
  * Fixed driver name in error message about KMS active. Seems some
    code came from cirrus driver by copy & paste. Fixed this in
    error message about device already in use by KMS module. (bnc#849888)
* Sun Aug 18 2013 zaitor@opensuse.org
- Update to version 0.98.0:
  + Support ShadowFB if no XAA.
  + Fixed Display Abnormal Issue with GOP Driver.
  + Fixed S3 Resume Failed Issue.
  + Modify for DRAM Initial Settings.
  + Cleanup leading/trailing whitespace in source files.
  + Support 1360x768 and 1600x900 Resolutions.
  + Use uint32_t for a variable that's passed to a function
    expecting a uint32_t.
  + Remove mibstore.h.
  + Don't bother to include vbe.h. This driver no longer uses VBE,
    so this can go.
- Drop mibstore.patch, fixed upstream.
* Wed Aug  7 2013 ro@suse.de
- add ExcludeArch for s390 and s390x
* Wed Mar 20 2013 sndirsch@suse.com
- introduce hardware supplements conditional on xorg-x11-server
  package (bnc#810333)
* Tue Mar 19 2013 hrvoje.senjan@gmail.com
- Add mibstore.patch, fixes build with xorg-server 1.14
* Wed Sep 12 2012 sndirsch@suse.com
- Update to version 0.97.0
  * deal with XAA removal
* Thu Apr 19 2012 dimstar@opensuse.org
- Update to version 0.95.0:
  + Fix for new vgaHW ABI
  + Make failure to XAA non-fatal
  + Check ABI major not encoded ABI
  + Adapt to domain changes in videoabi 12
- Use %%x11_Abi_videodrv_req instead of static ABI Requires.
* Wed Apr 18 2012 vuntz@opensuse.org
- Split xf86-video-ast from xorg-x11-driver-video.
  Initial version: 0.93.9.
